//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Elements only used for zoological units
 * 
 * <p>Java class for ZoologicalUnit complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ZoologicalUnit"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="PhasesOrStages" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="PhaseOrStage" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ZoologicalUnit", propOrder = {
    "phasesOrStages"
})
public class ZoologicalUnit {

    @XmlElement(name = "PhasesOrStages")
    protected ZoologicalUnit.PhasesOrStages phasesOrStages;

    /**
     * Gets the value of the phasesOrStages property.
     * 
     * @return
     *     possible object is
     *     {@link ZoologicalUnit.PhasesOrStages }
     *     
     */
    public ZoologicalUnit.PhasesOrStages getPhasesOrStages() {
        return phasesOrStages;
    }

    /**
     * Sets the value of the phasesOrStages property.
     * 
     * @param value
     *     allowed object is
     *     {@link ZoologicalUnit.PhasesOrStages }
     *     
     */
    public void setPhasesOrStages(ZoologicalUnit.PhasesOrStages value) {
        this.phasesOrStages = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="PhaseOrStage" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "phaseOrStage"
    })
    public static class PhasesOrStages {

        @XmlElement(name = "PhaseOrStage", required = true)
        protected List<StringL> phaseOrStage;

        /**
         * Gets the value of the phaseOrStage property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the phaseOrStage property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPhaseOrStage().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StringL }
         * 
         * 
         */
        public List<StringL> getPhaseOrStage() {
            if (phaseOrStage == null) {
                phaseOrStage = new ArrayList<StringL>();
            }
            return this.phaseOrStage;
        }

    }

}
